setFixest_dict {fixest} | R Documentation

## Sets/gets the dictionary used in `esttex`

### Description

Sets/gets the default dictionnay used in the function `esttex`. The dictionaries are used to relabel variables (usually towards a fancier, more explicit formatting) when exporting them into a Latex table. By setting the dictionary with `setFixest_dict`, you can avoid providing the argument `dict` in function `esttex`.

### Usage

    setFixest_dict(dict)

    getFixest_dict()

### Arguments

`dict` | A named character vector. E.g. to change my variable named "a" and "b" to (resp.) "$log(a)$" and "$bonus^3$", then use `dict = c(a="$log(a)$", b3="$bonus^3$")`.

### Author(s)

Laurent Berge

### Examples

    data(trade)
    est = feols(log(Euros) ~ log(dist_km)|Origin+Destination+Product, trade)
    # we export the result & rename some variables
    esttex(est, dict = c("log(Euros)"="Euros (ln)", Origin="Country of Origin"))
    # If you export many tables, it can be more convenient to use setFixest_dict:
    setFixest_dict(c("log(Euros)"="Euros (ln)", Origin="Country of Origin"))
    esttex(est) # variables are properly relabeled

[Package fixest version 0.1.0 Index]